Bug 1710491 - No EVENT_ID is generated in /var/log/ovirt-engine/engine.log when VM is rebooted from OS level itself.
Summary: No EVENT_ID is generated in /var/log/ovirt-engine/engine.log when VM is reboo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.2.8
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ovirt-4.4.1
: ---
Assignee: Steven Rosenberg
QA Contact: Polina
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-15 15:55 UTC by Koutuk Shukla
Modified: 2020-08-04 13:19 UTC (History)
9 users (show)

Fixed In Version: rhv-4.4.0-29
Doc Type: Enhancement
Doc Text:
With this enhancement, an EVENT_ID is logged when a virtual machine's guest operating system reboots. External systems such as Cloudforms and Manage IQ rely on the EVENT_ID log messages to keep track of the virtual machine's state.
Clone Of:
Environment:
Last Closed: 2020-08-04 13:19:21 UTC
oVirt Team: Virt
Target Upstream Version:
lsvaty: testing_plan_complete-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:19:56 UTC
oVirt gerrit 105028 0 'None' MERGED core: EVENT_ID for rebooting a VM internally 2020-08-19 08:27:04 UTC
oVirt gerrit 105147 0 master MERGED core: EVENT_ID for rebooting a VM internally 2020-08-19 08:27:04 UTC

Description Koutuk Shukla 2019-05-15 15:55:53 UTC
Description of problem:

No EVENT_ID is generated in /var/log/ovirt-engine/engine.log when VM is rebooted from OS level itself.

Version-Release number of selected component (if applicable):
Red Hat Virtualization 4.2

How reproducible:
100%

Steps to Reproduce:

1. Reboot the VM from OS level itself
2. Check /var/log/ovirt-engine/engine.log for reboot messages for VM.

Actual results:
Only VM rebooting messages are logged, but no EVENT_ID generated.

Expected results:

EVENT_ID should be logged. So that systems like Cloudforms/ManageIQ can read the  event log via rhvm rest api and get notified if the VM is rebooted.

Additional info:

-- Following messages are logged in /var/log/ovirt-engine/engine.log

2019-05-08 20:52:27,367+02 INFO  [org.ovirt.engine.core.vdsbroker.monitoring.VmAnalyzer] (ForkJoinPool-1-worker-1) [] VM 'xxxxxxxx-xxxxxxxx-xxxxxxxxxxxx'(TestVM) moved from 'Up' --> 'RebootInProgress'
2019-05-08 20:52:49,926+02 INFO  [org.ovirt.engine.core.vdsbroker.monitoring.VmAnalyzer] (ForkJoinPool-1-worker-1) [] VM 'xxxxxxxx-xxxxxxxx-xxxxxxxxxxxx'(TestVM) moved from 'RebootInProgress' --> 'Up'

Comment 1 Ryan Barry 2019-05-16 00:17:09 UTC
Reboots are expected to be initiated from RHVM or the API.

For guest-level uptime monitoring, why not use guest agent data to track it?

Comment 2 Michal Skrivanek 2019-05-16 06:24:02 UTC
it's detected properly as per the engine.log message, just the audit log event is not fired. Should be as simple as reusing the  AuditLogType.USER_REBOOT_VM when Up->RebootInProgress

Comment 4 Daniel Gur 2019-08-28 13:14:45 UTC
sync2jira

Comment 5 Daniel Gur 2019-08-28 13:19:48 UTC
sync2jira

Comment 8 Sigbjorn Customer 2020-02-24 11:34:38 UTC
Given that the event is already picked up by the manager, and that all that needs to be done to fix this issue is to add the existing audit log type AuditLogType.USER_REBOOT_VM to this event. Why is this request taking so long time to implement?

Comment 10 Polina 2020-04-22 20:10:14 UTC
verified on http://bob-dr.lab.eng.brq.redhat.com/builds/4.4/rhv-4.4.0-31

engine reports:
2020-04-22 21:33:28,952+03 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (ForkJoinPool-1-worker-25) [] EVENT_ID: USER_REBOOT_VM(157), VM golden_env_mixed_virtio_0 is rebooting. Rebooted by: Guest OS

Comment 17 errata-xmlrpc 2020-08-04 13:19:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247


Note You need to log in before you can comment on or make changes to this bug.